import { PropType } from 'vue';
import * as common from 'file-uploader-component';
export * from 'file-uploader-component';
/**
 * @public
 */
export declare const FileUploader: import("vue").DefineComponent<{
    accept: StringConstructor;
    multiple: BooleanConstructor;
    locale: PropType<{
        dragAndDrop: string;
        selectFile: string;
        pasteFromClipboard: string;
    }>;
    name: StringConstructor;
    url: StringConstructor;
    method: StringConstructor;
}, unknown, {
    requests: common.UploadRequest[];
}, {
    localeObject(): common.Locale;
}, {
    getProgressWidth(request: common.UploadRequest): {
        width: string;
    };
    onDrop(e: DragEvent): void;
    onPaste(e: ClipboardEvent): void;
    onFileUploaded(e: Event): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    accept?: unknown;
    multiple?: unknown;
    locale?: unknown;
    name?: unknown;
    url?: unknown;
    method?: unknown;
} & {
    multiple: boolean;
} & {
    accept?: string | undefined;
    locale?: {
        dragAndDrop: string;
        selectFile: string;
        pasteFromClipboard: string;
    } | undefined;
    name?: string | undefined;
    url?: string | undefined;
    method?: string | undefined;
}>, {
    multiple: boolean;
}>;
